﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.Calendar;

namespace CalendarWPF
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private DateTime displayDate;

        public MainWindow()
        {
            InitializeComponent();
            EventManager.RegisterClassHandler(typeof(RepeatButton), RepeatButton.ClickEvent, new RoutedEventHandler(OnClickRepeatButton));
        }

        private void OnClickRepeatButton(object sender, RoutedEventArgs e)
        {
            var repeatButton = sender as RepeatButton;

            if (repeatButton.Name == "MoveLeft")
            {
                this.displayDate = this.displayDate.AddMonths(-1);
            }
            else if (repeatButton.Name == "MoveRight")
            {
                this.displayDate = this.displayDate.AddMonths(1);
            }
            else
            {
                return;
            }

            this.Cal.DisplayDate = this.displayDate;
        }

        private void Cal_Loaded(object sender, RoutedEventArgs e)
        {
            this.displayDate = this.Cal.DisplayDate;
        }
    }
}